import { HydrationInputValues } from "../../../../values/types.js";
export declare function createDotGitHub(values: HydrationInputValues): {
    "ISSUE_TEMPLATE.md": string;
    "PULL_REQUEST_TEMPLATE.md": string;
    "renovate.json": string;
    "FUNDING.yml"?: string | undefined;
    "CODE_OF_CONDUCT.md": string;
    "CONTRIBUTING.md": string;
    "DEVELOPMENT.md": string;
    ISSUE_TEMPLATE: {
        "01-bug.yml": string;
        "02-documentation.yml": string;
        "03-feature.yml": string;
        "04-tooling.yml": string;
    };
    actions: {
        prepare: {
            "action.yml": string;
        };
    };
    workflows: {
        "build.yml": string;
        "compliance.yml": string;
        "contributors.yml": string;
        "lint.yml": string;
        "lint-knip.yml": string;
        "lint-markdown.yml": string;
        "lint-package.yml": string;
        "lint-spelling.yml": string;
        "post-release.yml": string;
        "prettier.yml": string;
        "release.yml": string;
        "test.yml": string;
    };
};
//# sourceMappingURL=index.d.ts.map