import chalk from "chalk";
import { $ } from "execa";
import { Octokit } from "octokit";
import { skipSpinnerBlock, successSpinnerBlock, withSpinner, } from "./cli/spinners.js";
export async function getOctokit(skipApi) {
    if (skipApi) {
        skipSpinnerBlock(`Skipping checking GitHub authentication.`);
        return undefined;
    }
    successSpinnerBlock(`Checking GitHub authentication.`);
    return await withSpinner(async () => {
        try {
            await $ `gh auth status`;
        }
        catch (error) {
            console.error();
            console.error(chalk.red(error.message));
            console.error();
            process.exit(0);
        }
        const auth = (await $ `gh auth token`).stdout.trim();
        return new Octokit({ auth });
    }, "fetching gh auth status");
}
//# sourceMappingURL=getOctokit.js.map